关于libpomelo2的tls transport出现的服务器断连接bug的说明

由于在nodejs 版本0.10.33中,ssl3被爆出了安全漏洞,默认取消了对ssl3的支持。

而在libpomelo2中,基于某些考虑,原先使用的协议版本是ssl3,因此出现了服务端直接断开连接的情况。

现在已经在libpomelo2直接使用tls 1.2 了,修复了该问题 https://github.com/NetEase/libpomelo2/commit/e11c5d208f2efa40770f55af32f92006292cc4f0

对给大家带来不便以及迷惑,深深致歉 - -

标签: pomelo公告 libpomelo2
wangxy 在 2015-2-2 19:36发布
wangxy 在 2015-2-2 19:40重新编辑 分享到 weibo
2 回复
#1 py8765 2015-2-4 09:22 回复

赞~

#2 hunder 2015-12-9 14:53 回复

大神 能不能给我发一份编译好的libpomelo2的so文件 我在Android环境下编译一直不过 谢了 239214989@qq.com

回到顶部